aboutsummaryrefslogtreecommitdiffstats
path: root/main
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2010-04-03 15:57:50 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2010-04-03 15:57:50 +0000
commitbae6a92b4e9a1d90b96cbc888c81886f67a226bb (patch)
tree8412b2e494213305ce4d1964a5bf7a4790ae6b40 /main
parentac7107a2b2edf5ad9372e475a077499526548006 (diff)
downloadaports-bae6a92b4e9a1d90b96cbc888c81886f67a226bb.tar.gz
aports-bae6a92b4e9a1d90b96cbc888c81886f67a226bb.tar.bz2
aports-bae6a92b4e9a1d90b96cbc888c81886f67a226bb.tar.xz
main/spandsp: new aport
Diffstat (limited to 'main')
-rw-r--r--main/spandsp/APKBUILD31
1 files changed, 31 insertions, 0 deletions
diff --git a/main/spandsp/APKBUILD b/main/spandsp/APKBUILD
new file mode 100644
index 0000000000..87c855a40b
--- /dev/null
+++ b/main/spandsp/APKBUILD
@@ -0,0 +1,31 @@
+# Contributor: Carlo Landmeter
+# Maintainer:
+pkgname=spandsp
+pkgver=0.0.6_pre17
+pkgrel=0
+pkgdesc="SpanDSP is a library of DSP functions for telephony"
+url="http://www.soft-switch.org/installing-spandsp.html"
+license="GPL"
+depends=
+makedepends=tiff-dev
+install=
+subpackages="$pkgname-dev"
+source="http://www.soft-switch.org/downloads/spandsp/$pkgname-0.0.6pre17.tgz"
+
+_builddir="$srcdir"/$pkgname-0.0.6
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make -j1 DESTDIR="$pkgdir" install
+}
+
+md5sums="cc860f77270cf3b881f8ccd42d2d0238 spandsp-0.0.6pre17.tgz"